Skip to content
Start here

Fetch day-wise analytics data for your livestreams

GET/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/daywise

Returns day-wise livestream analytics for the specified time range.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
Path ParametersExpand Collapse
account_id: string

The account identifier tag.

maxLength32
app_id: string

The app identifier tag.

maxLength32
Query ParametersExpand Collapse
end_time: optional number

Specify the end time as a Unix timestamp in seconds to access the livestream analytics.

formatint64
filters: optional string

Optional filters for livestream analytics.

start_time: optional number

Specify the start time as a Unix timestamp in seconds to access the livestream analytics.

formatint64
ReturnsExpand Collapse
data: optional array of object { count, date, total_ingest_seconds, total_viewer_seconds }
count: optional number

Count of total livestream sessions.

date: optional string

Analytics date.

total_ingest_seconds: optional number

Total time duration for which the input was given or the meeting was streamed.

total_viewer_seconds: optional number

Total view time for which the viewers watched the stream.

success: optional boolean

Fetch day-wise analytics data for your livestreams

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/realtime/kit/$APP_ID/analytics/livestreams/daywise \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "data": [
    {
      "count": 4,
      "date": "2023-07-15",
      "total_ingest_seconds": 531,
      "total_viewer_seconds": 116
    }
  ],
  "success": true
}
Returns Examples
{
  "data": [
    {
      "count": 4,
      "date": "2023-07-15",
      "total_ingest_seconds": 531,
      "total_viewer_seconds": 116
    }
  ],
  "success": true
}